Details

    • Type: Dependency upgrade
    • Status: Resolved
    • Priority: Major
    • Resolution: Won't Fix
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: karaf-core
    • Labels:
      None

      Description

      As soon as the Aries Blueprint 0.4 artifacts will be available on the Maven Central repo, we should update Karaf to use it.

      1. KARAF-988.diff
        5 kB
        David Jencks

        Activity

        Hide
        gnt Guillaume Nodet added a comment -

        2.3.x and 3.0.x have been upgrade to aries 1.0.0

        Show
        gnt Guillaume Nodet added a comment - 2.3.x and 3.0.x have been upgrade to aries 1.0.0
        Hide
        gnt Guillaume Nodet added a comment -
        Show
        gnt Guillaume Nodet added a comment - I've set up a branch on github for upgrading to 0.4.1 https://github.com/gnodet/karaf/tree/aries-401 See the commit https://github.com/gnodet/karaf/commit/4b943a59115dd578feafbe1bb06c257f7f7ce477
        Hide
        jbonofre Jean-Baptiste Onofré added a comment -

        We let this Jira open, waiting for the new Aries Blueprint version (0.4.1).

        Show
        jbonofre Jean-Baptiste Onofré added a comment - We let this Jira open, waiting for the new Aries Blueprint version (0.4.1).
        Hide
        jbonofre Jean-Baptiste Onofré added a comment -

        The itests are now fixed. It was an issue with the test startup.properties which use the "old" blueprint bundle version.

        Show
        jbonofre Jean-Baptiste Onofré added a comment - The itests are now fixed. It was an issue with the test startup.properties which use the "old" blueprint bundle version.
        Hide
        gnt Guillaume Nodet added a comment -

        The start level problem is related to KARAF-713
        The small bundles are broken for now as there has been a problem during the release process and one package is not exported.
        The jaas/jasypt module needs to be fixed when the blueprint utils package will be exported again.

        Show
        gnt Guillaume Nodet added a comment - The start level problem is related to KARAF-713 The small bundles are broken for now as there has been a problem during the release process and one package is not exported. The jaas/jasypt module needs to be fixed when the blueprint utils package will be exported again.
        Hide
        jbonofre Jean-Baptiste Onofré added a comment -

        The Aries Blueprint 0.4 upgrade has been performed. The distributions work fine and the itests are broken.

        I suspect the Blueprint version embedded in Pax Exam.

        Show
        jbonofre Jean-Baptiste Onofré added a comment - The Aries Blueprint 0.4 upgrade has been performed. The distributions work fine and the itests are broken. I suspect the Blueprint version embedded in Pax Exam.
        Hide
        djencks David Jencks added a comment -

        This patch worked for me after some unrelated patches but by itself the server doesn't start, there seems to be a deadlock between blueprint starting a bundle and startlevel shutting it down.
        Aries still has the all-in-one bundles but using the individual ones is a better idea. I'll work on that after we get the upgrade to work.

        Show
        djencks David Jencks added a comment - This patch worked for me after some unrelated patches but by itself the server doesn't start, there seems to be a deadlock between blueprint starting a bundle and startlevel shutting it down. Aries still has the all-in-one bundles but using the individual ones is a better idea. I'll work on that after we get the upgrade to work.
        Hide
        jbonofre Jean-Baptiste Onofré added a comment -

        FYI, the packaging has changed in Aries. Previously, we had one "all in one" bundle. Now, we have several individual bundles for the Blueprint container. We have to update Karaf to use these individual bundles.

        Show
        jbonofre Jean-Baptiste Onofré added a comment - FYI, the packaging has changed in Aries. Previously, we had one "all in one" bundle. Now, we have several individual bundles for the Blueprint container. We have to update Karaf to use these individual bundles.

          People

          • Assignee:
            gnt Guillaume Nodet
            Reporter:
            jbonofre Jean-Baptiste Onofré
          • Votes:
            1 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development